%define upstream_name	 Net-IP-Match-Regexp
%define upstream_version 1.01

%global __requires_exclude perl\\(re\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Efficiently match IP addresses against IP ranges via regexp
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This module allows you to check an IP address against one or more IP
ranges.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%files
%doc README CHANGES
%{perl_vendorlib}/Net
%{_mandir}/man3/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-9.mga8
+ Revision: 1495944
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-8.mga7
+ Revision: 1269917
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1031094
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 935428
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 742576
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 685670
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 513494
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 370645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 13418
- imported package perl-Net-IP-Match-Regexp


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 410095
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.1
+ Revision: 292261
- update to new version 1.01

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-1mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.00-1mdv2008.0
+ Revision: 81920
- 1.00

* Sun Jun 03 2007 Anssi Hannula <anssi@mandriva.org> 0.94-3mdv2008.0
+ Revision: 34872
- annual rebuild


* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 0.94-2mdv2007.0
- _requires_exception perl(re)

* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 0.94-1mdv2007.0
- initial Mandriva package

